Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.bpm.web.client.model.managedevents
Enum BusinessServiceEvent.Action

    java.lang.Object
      java.lang.Enum<BusinessServiceEvent.Action>
          com.tibco.bpm.web.client.model.managedevents.BusinessServiceEvent.Action

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BusinessServiceEvent.Action>

Enclosing class:
  BusinessServiceEvent

    public static enum BusinessServiceEvent.Action

extends java.lang.Enum<BusinessServiceEvent.Action>

Enum Constant Summary
`CANCEL`
`COMPLETE`
`INJECT`
`START`
`UPDATE`

Method Summary
`static BusinessServiceEvent.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BusinessServiceEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### START

    public static final BusinessServiceEvent.Action START

### UPDATE

    public static final BusinessServiceEvent.Action UPDATE

### COMPLETE

    public static final BusinessServiceEvent.Action COMPLETE

### CANCEL

    public static final BusinessServiceEvent.Action CANCEL

### INJECT

    public static final BusinessServiceEvent.Action INJECT

Method Detail

### values

    public static BusinessServiceEvent.Action[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BusinessServiceEvent.Action c : BusinessServiceEvent.Action.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BusinessServiceEvent.Action valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.